Description

Multiple changes to these files needed for bug fixing and reducing dependencies
on seek classes.

History

#1 - 09/13/2005 09:00 AM - Kevin Ruland

Changelog for DarwinCoreDataSource.java:

- Removed unused imports.

- Initialize _outputType to _ASFIELD, and removed the _NOPORTTYPE. This
simplifies the code because _outputType is now always a valid value.

- Change initial cached object (_cachedDataltem) to use
EcogridQueryDataCacheltem instead of EcogridDataCacheltem.

- Changed attributeChanged() method to use ecogrid query format instead of
digir query formats.

- Localized the _resultsetType and _records datamembers to function scope.

- Changed getInitFromData() member function to isInitFromData() which performs
the magic string compares.

- Rewrote transformResultSet() to reduce indentations and improve readibility.

- Removed unneeded function getProviderList().

- Rewrote complete() to reduce indentation and improve readibility. Removed
use of DigirdJavaToEcogridJavaResultsetTranformer object because the underlying
data cache object is EcogridQueryDataCacheltem.

Changelog for DarwinCoreMetaDataSpecification.java:

- Rewrote addResultsetByProvider() to reduce indentation and improve
readibility.

- Fixed bug in addResultsetBySpecies to setSearchData field to scientificName
instead of the general search term.

#2 - 09/13/2005 02:12 PM - Kevin Ruland

kruland committed these changes.

#3 - 03/27/2013 02:19 PM - Redmine Admin
Original Bugzilla ID was 2196
